package com.zhentao.controller;

import com.zhentao.common.entity.R;
import com.zhentao.dto.CouponDto;
import com.zhentao.service.CouponService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("coupon")
public class CouponController {
    @Autowired
    CouponService couponService;

    /**
     * 优惠券添加
     * @param couponDto
     * @return
     */
    @RequestMapping("add")
    public R add(@RequestBody CouponDto couponDto){
        return couponService.add(couponDto);
    }

    /**
     * 隐藏优惠券
     * @param couponId
     * @return
     */

    @RequestMapping("hide")
    public R hide(@RequestParam("couponId") Long couponId){
        return couponService.hide(couponId);
    }

    /**
     * 删除优惠券
     * @param couponId
     * @return
     */
    @RequestMapping("del")
    public R del(Long couponId){
        return couponService.delCoupon(couponId);
    }

    /**
     * 查询全部优惠券
     * @param couponId
     * @return
     */
    @RequestMapping("sel")
    public R sel(Long couponId){
        return couponService.delCoupon(couponId);
    }
}
